/**
 * Select2 Italian translation
 */
(function ($) {
    "use strict";

    $.extend($.fn.select2.defaults, {
        formatNoMatches: function () {
            return "No se encontraron resultados";
        },
        formatInputTooShort: function (input, min) {
            var n = min - input.length;
            return "Ingrese mas de " + n + " caracter" + (n == 1 ? "" : "es");
        },
        formatInputTooLong: function (input, max) {
            var n = input.length - max;
            return "Ingrese menos de " + n + " caracter" + (n == 1 ? "" : "es");
        },
        formatSelectionTooBig: function (limit) {
            return "Solo puede seleccionar " + limit + " elemento" + (limit == 1 ? "" : "s");
        },
        formatLoadMore: function (pageNumber) {
            return "Cargando mas resultados...";
        },
        formatSearching: function () {
            return "Buscando...";
        }
    });
})(jQuery);