<?php
/* @var $this BudgetController */
/* @var $model Budget */

$this->breadcrumbs=array(
	'Presupuesto'=>array('index'),
	$model->bud_id,
);

$this->menu=array(
	array('label'=>'Listar Presupuesto', 'url'=>array('index')),
	array('label'=>'Crear Presupuesto', 'url'=>array('create')),
	array('label'=>'Actualizar Presupuesto', 'url'=>array('update', 'id'=>$model->bud_id)),
	array('label'=>'Eliminar Presupuesto', 'url'=>'#', 'linkOptions'=>array('submit'=>array('delete','id'=>$model->bud_id),'confirm'=>'¿Desea eliminar este registro?')),
	array('label'=>'Administrar Presupuesto', 'url'=>array('admin')),
);
?>

<h3>Ver Presupuesto #<?php echo $model->bud_id; ?></h3>

<?php $this->widget('zii.widgets.CDetailView', array(
        'htmlOptions' => array(
        'class' => 'table table-striped table-condensed table-hover',
        ),
	'data'=>$model,
	'attributes'=>array(
		'bud_id',
                array(
                    'name' => 'Cliente',
                    'value' => $model->idCln->cln_name,
                ),
                array(
                    'name' => 'id_cln_id',
                    'value' => $model->idCln->cln_nameBranch,
                ),
                array(
                    'name' => 'bud_budget',                    
                    'value' => number_format($model->bud_budget),
                ),		
                array(
                    'name' => 'bud_block',                    
                    'value' => $model->bud_block,
                ),		
	),
)); ?>
