<?php
/* @var $this OrderController */
/* @var $model Order */
/* @var $form TbActiveForm */
/* @var $listBranch BranchOffice  */
Yii::app()->clientScript->registerCoreScript('jquery.ui');
?>

<div class="form">
    <?php
    $form = $this->beginWidget('bootstrap.widgets.TbActiveForm',
        array(
        'id' => 'liquidateorder-form',
        // Please note: When you enable ajax validation, make sure the corresponding
        // controller action is handling ajax validation correctly.
        // There is a call to performAjaxValidation() commented in generated controller code.
        // See class documentation of CActiveForm for details on this.
        'enableAjaxValidation' => true,
    ));
    ?>    

    <?php echo $form->errorSummary($model); ?>
    <?php $this->widget('bootstrap.widgets.TbAlert'); ?>

    <div id="div-error" style="display: none;">
        <a class="close" type="button" data-dismiss="alert" href="#">×</a>
    </div>

    <table class="items table" >
        <tr>            
            <td><h5>Objeto del pedido<span class="required">*</span> :</h5></td>
            <td class="radioButton"><?php
                echo $form->inlineRadioButtonList($model, 'ord_objOrder',
                    array(
                    $model::COD_FACTURACION => 'Facturación',
                    $model::COD_REMISION => 'Remisión'),
                    array(
                    ''
                    )
                );
                ?></td> 
            <td><h5>Presupuesto:</h5></td>
            <td><h5 id="presupuesto"></h5></td>
            <td><h5>Acumulado:</h5></td>
            <td><h5 id="acumulado"></h5></td>
        </tr>
        <tr>
            <td><h5>Nit:</h5></td>
            <td><div><?php
                    echo $model->ord_nit;
                    echo CHtml::hiddenField('ord_nit', $model->ord_nit,
                        array('id' => 'codClient'));
                    ?>
                </div></td>
            <td><h5>Cliente:</h5></td>
            <td><div><?php echo $nameClient ?></div></td>  
            <td><h5>Número de la orden</h5></td>
            <td><?php echo $model->ord_number ?>
            </td>
        </tr>        
        <tr>
            <td><h5>Código sucursal:</h5></td>
            <td><div><?php
                    echo $model->ord_codeBranch;
                    echo CHtml::hiddenField('ord_codeBranch',
                        $model->ord_codeBranch, array('id' => 'codeBranch'))
                    ?></div></td>
            <td><h5>Sucursal:</h5></td>
            <td><div id="dropBranch"><?php echo $nameBranch ?></div></td>            
            <td><h5>Fecha entrega esperada
                    <span class="required">*</span> :</h5></td>
            <td><div id="date-label" style="display: none"></div>
                <div id="date">
                    <div class="input-append">
                        <?php
                        $this->widget('yiiwheels.widgets.datepicker.WhDatePicker',
                            array(
                            'value' => $model->ord_date,
                            'name' => 'Order[ord_date]',
                            'htmlOptions' => array(
                                'placeholder' => 'Seleccione',
                                'readonly' => 'readonly',
                                'title' => Yii::app()->params['msgTooltipFecha']
                            ),
                            'pluginOptions' => array(
                                'format' => 'yyyy-mm-dd',
                                'language' => 'es',
                                'dates' => 'es'
                            )
                        ));
                        ?>
                        <span class="add-on"><icon class="icon-calendar"></icon></span>
                    </div>
                </div>
            </td>
        </tr> 
        <tr>
            <td><h5>Descripción: </h5></td>
            <td colspan="5"><?php echo $form->textArea($model,'ord_description',array(
                        'value' => $model->ord_description,
                        'rows' => 1,
                        'class' => 'span12',
                        'maxlength' => 200)); ?></td>
        </tr>
    </table>
    <table>
        <tr>
            <td><strong>Referencia</strong>
                <br/>
                <div>
                    <?php
                    echo TbHtml::telField("filterRef", '',
                        array(
                        'size' => 10,
                        'onBlur' => 'js:filter("filterRef", "reference");'
                        . 'clearFilter("filterDesc")'
                    ));
                    echo TbHtml::link(TbHtml::icon(TbHtml::ICON_FILTER),
                        'javascript:void(0)',
                        array(
                        'id' => 'linkFilterRef',
                    ));
                    ?></div>
            </td>
            <td><div><strong>Descripción item</strong></div>
                <div>
                    <?php
                    echo TbHtml::telField("filterDesc", '',
                        array(
                        'size' => 10,
                        'onBlur' => 'js:filter("filterDesc", "description");'
                        . 'clearFilter("filterRef")'
                    ));
                    echo TbHtml::link(TbHtml::icon(TbHtml::ICON_FILTER),
                        'javascript:void(0)',
                        array(
                        'id' => 'linkFilterDesc',
                    ));
                    ?>
                </div></td>
            <td id="filter-count"></td>
        </tr>
    </table>
    <div id="form-products"></div>    
    <div id="add-products"></div>    
    <div id="summary" class="well" style="width: 20%;">
        <table class="table" >
            <tr>
                <td><strong>Total Neto:</strong></td>
                <td><div id="total_net">
                        <?php echo number_format($model->ord_total_net) ?>
                    </div></td>
            </tr>                         
            <tr>
                <td><strong>Total Descuento:</strong></td>
                <td>0</td>
            </tr>                         
            <tr>
                <td><strong>Total Iva:</strong></td>
                <td><div id="total_iva">
                        <?php echo number_format($model->ord_total_iva) ?>
                    </div></td>
            </tr>                         
            <tr>
                <td><strong>Total:</strong></td>
                <td><div id="total">
                        <?php echo number_format($model->ord_total) ?>
                    </div></td>
            </tr>                         
        </table>
    </div>
    <div id="div-status"></div>
    <div id="buttom" class="form-actions">                
        <?php
        echo TbHtml::button('Editar',
            array(
            'id' => 'button-edit',
            'color' => TbHtml::BUTTON_COLOR_INVERSE,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,
            'onClick' => 'edit()',
            'title' => Yii::app()->params['msgTooltipEditar']
        ));
        ?>
        <?php
        echo TbHtml::submitButton('Eliminar',
            array(
            'id' => 'button-delete',
            'color' => TbHtml::BUTTON_COLOR_DEFAULT,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,
            'submit' => Yii::app()->createUrl('order/delete',
                array('id' => $model->ord_id)),
            'confirm' => '¿Desea eliminar este pedido?',
            'title' => Yii::app()->params['msgTooltipEliminar']
        ));
        ?>
        <?php
        echo TbHtml::button('Salir',
            array(
            'id' => 'button-exit',
            'color' => TbHtml::BUTTON_COLOR_DANGER,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,
            'onClick' => 'exitOrder()',
            'title' => Yii::app()->params['msgTooltipSalir']
        ));
        ?>
        <?php
        echo TbHtml::button('Guardar',
            array(
            'id' => 'button-save',
            'class' => 'buttonValidate',
            'color' => TbHtml::BUTTON_COLOR_PRIMARY,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,            
            //'onClick' => 'save()',
            'title' => Yii::app()->params['msgTooltipGuardar']
        ));
        ?>   
        <?php
        if(User::validateAllowOrder()) {
            echo TbHtml::button('Autorizar',
                array(
                'id' => 'button-allow',
                'class' => 'buttonValidate',
                'color' => TbHtml::BUTTON_COLOR_SUCCESS,
                'size' => TbHtml::BUTTON_SIZE_DEFAULT,                
                //'onClick' => 'save()',
                'title' => Yii::app()->params['msgTooltipAutorizar']
            ));
        } else {
            echo TbHtml::button('Solicitar Autorización',
                array(
                'id' => 'button-getAllow',
                'class' => 'buttonValidate',
                'color' => TbHtml::BUTTON_COLOR_WARNING,
                'size' => TbHtml::BUTTON_SIZE_DEFAULT,
                //'onClick' => 'save()',
                'title' => Yii::app()->params['msgTooltipSolicitar']
            ));
        }
        ?>
    </div> 
    <?php $this->endWidget(); ?>

</div><!-- form -->
<script type="text/javascript">

    $(document).ready(function() {
        disabledinputs();
        getProducts();
        validateBudget('<?= CController::createUrl('order/validateBudget') ?>');
        //validateQuotaBranch('<?php //echo CController::createUrl('order/validateQuotaBranch') ?>');
    });

    $('#linkFilterRef').click(function() {
        filter("filterRef", "reference");
        clearFilter("filterDesc");
    });

    $('#linkFilterDesc').click(function() {
        filter("filterDesc", "description");
        clearFilter("filterRef");
    });

    /**
     * Metodo para la validacion de los campos
     */
    $('.buttonValidate').click(function() {        
        showDistractor();
        formId = 'liquidateorder-form';
        var id = $(this).attr("id");
        urlSubmit = returnUrl(id);
        $('#buttom').find('button').attr('disabled', 'disabled');
        $('#liquidateorder-form').find('input, textarea, select').removeAttr('disabled');        
        var form = jQuery('#' + formId);
        $.ajax({
            type: 'POST',
            url: '<?php echo CController::createUrl('order/saveorder',
        array('id' => $model->ord_id));
    ?>',
            data: form.serialize() + "&ajax=order-form",
            cache: false,
            async: false,
            success: function(data) {
                $('#liquidateorder-form').find('input, textarea, select').removeAttr('disabled');
                if (data != null && $.trim(data)) {                                 
                    newData = data.replace('class="errorSummary"', '');
                    disabledinputs();
                    showError(newData);
                    $('#buttom').find('button').removeAttr('disabled');
                    hideDistractor();
                    return false;
                }
                
                showError('');
                form.attr('action', urlSubmit);
                form.submit();
                //return false;
            },
            error: function(data) {
                hideDistractor();
                disabledinputs();
                showError('A ocurrido un error, comuníquese con el administrador');
                return false;
            }
        });
        hideDistractor();
        return false;
    });


    /**
     * Metodo para presentar la liquidacion del pedido
     * @returns {undefined}     
     */
    function liquidar() {
        distractor.show();
        hideInputsEmpty();
        //Validaciones en servidor ---------------------------------------------       
        var form = jQuery('#liquidateorder-form');
        $.ajax({
            type: 'POST',
            url: "<?php
    echo CController::createUrl('order/saveorder', array('id' => $model->ord_id));
    ?>",
            data: form.serialize() + "&ajax=order-form",
            success: function(data) {
                if (data != null && $.trim(data)) {
                    newData = data.replace('class="errorSummary"', '');
                    showError(newData);
                    distractor.hide();
                    return false;
                }
                showError('');
                hideTabs();
                hideTr();
                changeButton('manageLiquidate');
                disabledinputs();
                distractor.hide();
            },
            error: function(data) { // if error occured
                showError('A ocurrido un error, comuníquese con el administrador');
                return false;
            },
        });
        return true;
    }

    /**
     * 
     * @param {type} type
     * @returns {undefined}     
     */
    function changeButton(type) {
        $.ajax({url: '<?php echo CController::createUrl('order/changebuttom') ?>',
            type: "post",
            async: false,
            data: {type: type, idOrder: "<?php echo $model->ord_id ?>"},
            success: function(data) {
                $("#buttom").html(data);
            }});
    }

    /**
     * Metodo para traer los productos segun
     * el codigo de la sucursal y el nit
     * @returns {undefined}     
     * */
    function getProducts() {
        distractor.show();
        $.ajax({url: '<?php echo CController::createUrl('order/updateproducts') ?>',
            type: "post",
            data: {idOrder: <?php echo $model->ord_id ?>},
            success: function(data) {
                $("#form-products").html(data);
                openTabs();
                disabledinputs();
                distractor.hide();
            }});
    }

    /**
     * Metodo que permite realizar los calculos 
     * matematicos y valida la existencia del inventario
     * @param string id
     * @param string ident
     * @returns {Boolean}     
     * */
    function calculate(id, ident) {
        stringQuantity = $('#' + id).val();
        quantity = stringQuantity.replace(/[^0-9\.]/g, '');
        priceUnt = $('#' + ident + "_unt_price").val();
        priceUntIva = $('#' + ident + "_unt_price_iva").val();
        valUnt = quantity * priceUnt;
        valUntIva = quantity * priceUntIva;

        if (valUnt.toString().length > 9 || valUntIva.toString().length > 9) {
            quantity = quantity.substr(0, 5);
            valUnt = quantity * priceUnt;
            valUntIva = quantity * priceUntIva;
            alert('Número muy extenso, por favor revise las cantidades');
        }

        parentTd = $('#' + id).parent();
        parentTr = parentTd.parent().attr('id');

        if (quantity > 0) {
            $('#' + parentTr).removeClass("error");
        } else {
            $('#' + parentTr).attr('class', 'error');
        }

        $('#' + id).val(quantity);
        $('#' + ident + '-sub').html(valUnt);
        $('#' + ident + '-sub').number(valUnt);
        $('#' + ident + '_sub_input_id').val(valUnt);
        $('#' + ident + '_sub_input_id').number(valUnt);
        $('#' + ident + '-sub-iva').html(valUntIva);
        $('#' + ident + '-sub-iva').number(valUntIva);
        subUnt = sumaColumn('.sub');
        $('#total_net').html(subUnt);
        $('#total_net').number(subUnt);
        subUntIva = sumaColumn('.sub_iva');
        $('#total').html(subUntIva);
        $('#total').number(subUntIva);
        totalIva = parseInt(subUntIva) - parseInt(subUnt);
        $('#total_iva').html(totalIva);
        $('#total_iva').number(totalIva);
        return true;
    }

    /**
     * Funcion que permite desabilidar los campos
     * @returns {undefined}
     */
    function disabledinputs() {
        $('#filterRef').val('');
        $('#filterDesc').val('');
        $('#filterRef').attr('disabled', 'disabled');
        $('#filterDesc').attr('disabled', 'disabled');
        $('#summary').show();
        $('#liquidateorder-form').find('input, textarea, select, a').attr('disabled', 'disabled');
        $('#linkFilterRef').off();
        $('#linkFilterDesc').off();
        //$('#liquidateorder-form').find('.amount').attr('disabled', 'disabled');
        //$('#liquidateorder-form').find('input[type="radio"]').attr('disabled', 'disabled');
    }

    /**
     * Funcion que habilita la edicion de la informacion
     * @returns {undefined}     
     * */
    function edit() {
        distractor.show();
        $('#summary').hide();
        $('#liquidateorder-form').find('input, textarea, button, select').removeAttr('disabled');

        var arrayTemp = [];
        $(".amount").each(function() {
            string = $(this).attr('id');
            stringSplit = string.split('_');
            iden = stringSplit[2];
            reference = $('#' + iden + '_ref').text();
            iva = $('#' + iden + '_iva').val();
            valQuantity = $(this).val();
            intQuant = parseInt(valQuantity);
            if (intQuant === 0 || !this.value) {
                quantity = 0;
            } else {
                quantity = $(this).val();
            }
            price = $('#' + iden + '_unt_price').val();
            priceIva = $('#' + iden + '_unt_price_iva').val();
            strJson = '{"iden":' + iden + ', "quantity":' + quantity
                    + ', "reference": ' + reference + ', "price":' + price
                    + ', "priceIva":' + priceIva + ', "iva":' + iva + '}';
            arrayTemp.push(strJson);
        });

        $.ajax({url: '<?php echo CController::createUrl('order/addproducts') ?>',
            type: "post",
            data: {arrayReference: arrayTemp, idOrder: <?php echo $model->ord_id ?>},
            success: function(data) {
                $('#div-addProduct').html(data);
                $('.amount').focus(function() {
                    defaultText = $(this).val();
                    $(this).val('');
                    string = $(this).attr('id');
                    stringSplit = string.split('_');
                    iden = stringSplit[2];
                    parentTd = $(this).parent();
                    parentTr = parentTd.parent().attr('id');
                    $('#' + parentTr).attr('class', 'error');
                    $('#' + iden + '-sub').html(0);
                    $('#' + iden + '-sub-iva').html(0);
                    $('#' + iden + '_sub_input_id').val(0);
                });
                showTr();
                changeButton('liquidar');
                distractor.hide();
            }});
    }

    /**
     * Funcion para salir  
     * @returns {undefined}     
     */
    function exitOrder() {
        if (confirm('¿Desea salir de la creación de pedidos?. \n\
Recuerde que los cambios se perderán')) {
            showDistractor();
            var url = "<?php echo Yii::app()->createUrl('order/admin') ?>";
            $(location).attr('href', url);
        }
    }

    /**
     * Funcion que permite habilitar los campos 
     * para guardar la informacion
     * @returns {Boolean}
     */
    function save(id) {
        showDistractor();
        $('#liquidateorder-form').find('input, textarea, select').removeAttr('disabled');
        hideInputsEmpty();
        $('#buttom').find('button').attr('disabled', 'disabled'); 
        form = $('#liquidateorder-form');        
        urlSubmit = returnUrl(id);
        form.attr('action', urlSubmit);
        form.submit();        
    }
    
    /**
     * Metodo que retorna la url 
     * @param {type} id
     * @returns {String}
     */
    function returnUrl(id){
       if (id == "button-allow") {
            urlSubmit = "<?php
    echo Yii::app()->createUrl('order/saveorder',
        array('id' => $model->ord_id, 'status' => Order::STATUS_ALLOW))
    ?>";
        }
        if (id == "button-save") {
            urlSubmit = "<?php
    echo Yii::app()->createUrl('order/saveorder',
        array('id' => $model->ord_id, 'status' => Order::STATUS_PARCIAL))
    ?>";
        }
        if (id == "button-getAllow") {
            urlSubmit = "<?php
    echo Yii::app()->createUrl('order/saveorder',
        array('id' => $model->ord_id, 'status' => Order::STATUS_PENDING))
    ?>";
        }
        return urlSubmit;
    }
</script>