<?php if(count($listProduct) > 0): ?>
<small>
    <div class="alert alert-block alert-info">
        <p class="help-block"><strong>Las referencias con cantidades en cero(0), 
            no hacen parte de la lista de precios de la sucursal
            seleccionada</strong></p>
    </div>
    <table id="table-search" class="items table table-bordered">
        <thead style="background-color: #ccc; color: #212529">
            <tr id="tr_head">
                <th><div style="font-size: 80%">Categoría</div></th>
                <th style="font-size: 80%">Referencia</th>
                <th style="font-size: 80%">Descripción item</th>
                <?php foreach($listBranch as $value) : ?>     
                    <th style="font-size: 80%;"><?= $value ?></th>
                <?php endforeach; ?>                                        
            </tr>
        </thead>
        <?php
        $subTotal = 0;
        $subTotalIva = 0;
        $totalIva = 0;
        ?> 
        <?php foreach($listProduct as $value) { ?>
            <?php 
                $id = $value['prd_reference'];
            ?>            
            <tr id="<?php echo $id ?>_tr">
                <td><?= $value['prd_nameCategory']  ?>
                </td>                
                <td id="<?php echo $id ?>_ref" class="reference">
                    <?php echo $value['prd_reference'] ?>
                </td>
                <td id="<?php echo $id ?>_des" class="description">
                    <?php
                    echo CHtml::hiddenField(
                        $id . '_description', $value['prd_description'],
                        array(
                        'id' => $id . '_description'));
                    echo $value['prd_description']
                    ?>
                </td>
                <?php
                    foreach ($listBranch as $key => $branch) {
                        $amount = (isset($value[$branch])) ? $value[$branch] : '';
                        echo '<td>';
                        echo $amount;
                        echo CHtml::hiddenField("orp_amount[$id][$branch]"
                            , $amount);
                        echo '</td>';
                    }
                    echo CHtml::hiddenField($id . '_inv',
                        $value['prd_und_exist'],
                        array(
                        'id' => $id . '_inv'));
                    echo CHtml::hiddenField($id . '_cat',
                        $value['prd_category_id'],
                        array(
                        'id' => $id . '_cat'));
                    echo CHtml::hiddenField($id . '_amount_request', '',
                        array(
                        'id' => $id . '_amount_request'));
                    ?>
                </td>   
            </tr>         
    <?php } ?>
    </table>
</small>
    <div id="buttom">            
        <?php
        echo TbHtml::button('Nuevo',
            array(
            'id' => 'button-new',
            'class' => 'buttonValidate',
            'color' => TbHtml::BUTTON_COLOR_DEFAULT,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT, 
            'onClick' => 'send(this.id)',
            'title' => Yii::app()->params['msgTooltipNuevo']
        ));
        ?>
        <?php
        echo TbHtml::button('Salir',
            array(
            'id' => 'button-exit',
            'color' => TbHtml::BUTTON_COLOR_DANGER,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,
            'onClick' => 'exitOrder()',
            'title' => Yii::app()->params['msgTooltipSalir']
        ));
        ?>
        <?php
        echo TbHtml::button('Guardar',
            array(
            'id' => 'button-save',
            'class' => 'buttonValidate',
            'color' => TbHtml::BUTTON_COLOR_PRIMARY,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,
            'onClick' => 'send(this.id)',
            'title' => Yii::app()->params['msgTooltipGuardar']
        ));
        ?>   
        <?php
        if(User::validateAllowOrder()) {
            echo TbHtml::button('Autorizar',
                array(
                'id' => 'button-allow',
                'class' => 'buttonValidate',
                'color' => TbHtml::BUTTON_COLOR_SUCCESS,
                'size' => TbHtml::BUTTON_SIZE_DEFAULT,
                'onClick' => 'send(this.id)',
                'title' => Yii::app()->params['msgTooltipAutorizar']
            ));
        } else {
            echo TbHtml::button('Solicitar Autorización',
                array(
                'id' => 'button-getAllow',
                'class' => 'buttonValidate',
                'color' => TbHtml::BUTTON_COLOR_WARNING,
                'size' => TbHtml::BUTTON_SIZE_DEFAULT,
                'onClick' => 'send(this.id)',
                'title' => Yii::app()->params['msgTooltipSolicitar']
            ));
        }
        ?>         
    </div>
<?php else: ?>
    <div class="alert alert-block alert-error">
        <p class="help-block">No se encontraron productos relacionados</p>
    </div>      
<?php endif; ?>