<style>
.table th, .table td {
    border-top: 1px solid #dddddd;
    line-height: 20px;
    padding: 5px;
    text-align: left;
    vertical-align: top;
	font-size: 12px;
}

.table th {
	font-size: 12px;
}

input, textarea, .uneditable-input {
    width: 150px;
}
</style>
<?php
/**
 * Se requieren los siguientes campos para el correcto funcionamiento del
 * formulario
 * 
 * prd_reference
 * prd_description
 * prd_unit_price
 * prd_unit_price_iva
 * 
 * Estos deben verin en forma de array(array())
 */
//$baseUrl = Yii::app()->theme->baseUrl;
//$cs = Yii::app()->getClientScript();
//$cs->registerScriptFile($baseUrl . '/js/number.js');
Yii::app()->clientScript->scriptMap['*.js'] = false;
?>
<?php if(count($listProduct) > 0): ?>

    <table>
        <tr>
            <td><strong>Referencia</strong>
                <br/>
                <div><?php
                    echo TbHtml::telField("filterRef", '',
                        array(
                        'size' => 10,
                        'onBlur' => 'js:filterCatalogo("filterRef", "reference");'
                        . 'clearFilter("filterDesc")'
                    ));
                    echo TbHtml::link(TbHtml::icon(TbHtml::ICON_FILTER), 
                        'javascript:void(0)',
                        array('id' => 'linkFilterRef',));
                    ?></div>
            </td>
            <td><div><strong>Descripción item</strong></div>
                <div>
                    <?php
                    echo TbHtml::telField("filterDesc", '',
                        array(
                        'size' => 10,
                        'onBlur' => 'js:filterCatalogo("filterDesc", "description");'
                        . 'clearFilter("filterRef")'
                    ));
                    echo TbHtml::link(TbHtml::icon(TbHtml::ICON_FILTER), 
                        'javascript:void(0)',
                        array(
                        'id' => 'linkFilterDesc',                        
                    ));
                    ?>
                </div></td>
            <td id="filter-count"></td>
        </tr>
    </table>


    <?php
    $tempListCat = $listCategory;
    $arrayHtml = array();
    $html = '';

    //Identificacion de categoria
    foreach($listCategory as $key => $value) {
        $tempListCat[$key] = '';
    }

    //Agruopacion de items por categorias
    foreach($listProduct as $value) {
        $id = $value['prd_reference'];
        $html = '';
        $html .= '<tr id="' . $id . '_tr">';
        $html .= '<td id="' . $id . '_ref" class="reference">'
            . $value['prd_reference'] . '</td>';
        $html .= '<td id="' . $id . '_des" class="description" >'
            . CHtml::hiddenField($id . '_description',
                $value['prd_description'],
                array(
                'id' => $id . '_description'))
            . $value['prd_description'] . '</td>';
        $html .='<td>' . TbHtml::telField("orp_amount[$id]", 0,
                array(
                'size' => 5,
                'class' => 'amount',
                "onkeyup" => "js:calculate(this.id, " . $id . ")")) .
            CHtml::hiddenField($id . '_inv', $value['prd_und_exist'],
                array(
                'id' => $id . '_inv')) .
            CHtml::hiddenField($id . '_cat', $value['prd_category_id'],
                array(
                'id' => $id . '_cat')) .
            CHtml::hiddenField($id . '_amount_request', '',
                array(
                'id' => $id . '_amount_request'));
        $html .= CHtml::hiddenField($id . '_unt_price',
                $value['prd_unit_price'], array('id' => $id . '_unt_price'));
        $html .= '<div id="' . $id . '-sub" class="sub" style="display:none">0</div>';
        $html .= CHtml::hiddenField($id . '_iva', $value['prd_iva'],
                array(
                'id' => $id . '_iva'));
        $html .= CHtml::hiddenField($id . '_unt_price_iva',
                $value['prd_unit_price_iva'],
                array(
                'id' => $id . '_unt_price_iva'));
        $html .= '<div id="' . $id
            . '-sub-iva" class="sub_iva" style="display:none">0</div></td>';
        $html .= '<td><div id="' . $id
            . '-variacion" class="variacion">'.number_format($value['variacion']).'</div></td>';
        $html .= '<td><div id="' . $id
            . '-consumo" class="consumo">'.number_format($value['Consumo']).'</div></td>';
        $html .= '</tr>';

        $idCatProd = $value['prd_category_id'];

        if(array_key_exists($idCatProd, $tempListCat))
                $tempListCat[$idCatProd] .=$html;
    }

    //Inicializacion de cada catregoria
    foreach($listCategory as $key => $value) {
        //$arrayHtml[$value] .= '</table>';               
        if(!empty($tempListCat[$key])) {
            $arrayHtml[$value] = '
            <table class="items table" >
                <thead>
                    <tr>
                        <th>Referencia</th>
                        <th>Descripción item</th>
                        <th>Cantidades</th>                        
                        <th>Variación Cantidad</th>
                        <th>Consumo Promedio</th>
                    </tr>
                </thead>' . $tempListCat[$key]
                . '</table>';
        } else {
            unset($arrayHtml[$value]);
        }
    }

    //Acordeon
    $this->widget('zii.widgets.jui.CJuiAccordion',
        array(
        'id' => 'acordeon-in-on',
        'panels' => $arrayHtml,
        // additional javascript options for the accordion plugin
        'options' => array(
            'collapsible' => false,
            //'animated' => 'bounceslide',
            'autoHeight' => false,
            'active' => false,
        ),
    ));
    ?>
    <br/>
<?php else: ?>
    <div class="alert alert-block alert-error">
        <p class="help-block">No se encontraron productos relacionados</p>
    </div>        
<?php endif; ?>
