<div class="navbar navbar-inverse navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </a>
            <!-- Be sure to leave the brand out there if you want it shown -->
            <a class="brand" href="#">B2B <small>Business to  Business</small></a>
            <div class="nav-collapse">
                <?php
                $this->widget('zii.widgets.CMenu',
                    array(
                    'htmlOptions' => array('class' => 'pull-right nav'),
                    'submenuHtmlOptions' => array('class' => 'dropdown-menu'),
                    'itemCssClass' => 'item-test',
                    'encodeLabel' => false,
                    'items' => array(
                        array('label' => 'Inicio', 'url' => array('/site/index'),
                            'visible' => !Yii::app()->user->isGuest),
                        //array('label'=>'About', 'url'=>array('/site/page', 'view'=>'about')),
                        //array('label'=>'Contact', 'url'=>array('/site/contact')),
//                        array(
//                            'label' => 'Pedidos',
//                            'url' => array('/order/admin'),
//                            'visible' => Yii::app()->user->checkAccess(Rol::ROL_ADMIN)
//                            || Yii::app()->user->checkAccess(Rol::ROL_BOSS_SHOP)
//                            || Yii::app()->user->checkAccess(Rol::ROL_SUPER_ADMIN)
//                            || Yii::app()->user->checkAccess(Rol::ROL_SHOP)),
                        array(
                            'label' => 'Pedidos <span class="caret"></span>',
                            'url' => array('/order/admin'),
                            'visible' => Yii::app()->user->checkAccess('OrderAdmin')
                            || Yii::app()->user->checkAccess('OrderCreateorder')
                            || Yii::app()->user->checkAccess('OrderLoadfile')
                            || Yii::app()->user->checkAccess('OrderLoadfilesales')
                            || Yii::app()->user->checkAccess('OrderLoadfilemultibranch')
                            || Yii::app()->user->checkAccess('OrderCreateordersales'),
                            'itemOptions' => array('class' => 'dropdown', 'tabindex' => "-1"),
                            'linkOptions' => array('class' => 'dropdown-toggle',
                                'data-toggle' => "dropdown"),
                            'items' => array(
                                array(
                                    'label' => 'Administrar Pedidos',
                                    'url' => array('/order/admin'),
                                    'visible' => Yii::app()->user->checkAccess('OrderAdmin')),
                                array(
                                    'label' => 'Crear Pedido Catálogo',
                                    'url' => array('/order/createorder'),
                                    'visible' => Yii::app()->user->checkAccess('OrderCreateorder')),
                                array(
                                    'label' => 'Crear Pedido Referencia',
                                    'url' => array('/order/createorder&type=ref'),
                                    'visible' => Yii::app()->user->checkAccess('OrderCreateorder')),
                                array(
                                    'label' => 'Cargar Pedido',
                                    'url' => array('/order/loadfile'),
                                    'visible' => Yii::app()->user->checkAccess('OrderLoadfile')),
                                array(
                                    'label' => 'Cargar Pedido Sucursales',
                                    'url' => array('/order/loadfilemultibranch'),
                                    'visible' => Yii::app()->user->checkAccess('OrderLoadfilemultibranch')),
                                array(
                                    'label' => 'Crear Pedido Catálogo Vendedor',
                                    'url' => array('/order/createordersales'),
                                    'visible' => Yii::app()->user->checkAccess('OrderCreateordersales')),
                                array(
                                    'label' => 'Cargar Pedido Vendedor',
                                    'url' => array('/order/loadfilesales'),
                                    'visible' => Yii::app()->user->checkAccess('OrderLoadfilesales')),
                            )
                        ),
                        array(
                            'label' => 'Reportes <span class="caret"></span>',
                            'url' => array('/report/index'),
                            'visible' => Yii::app()->user->checkAccess('ReportPortfolio')
                            || Yii::app()->user->checkAccess('ReportStatusorder')
                            || Yii::app()->user->checkAccess('ReportLevelService')
                            || Yii::app()->user->checkAccess('ReportSales'),
                            'itemOptions' => array('class' => 'dropdown', 'tabindex' => "-1"),
                            'linkOptions' => array('class' => 'dropdown-toggle',
                                'data-toggle' => "dropdown"),
                            'items' => array(
                                array(
                                    'label' => 'Cartera',
                                    'url' => array('/report/portfolio'),
                                    'visible' => Yii::app()->user->checkAccess('ReportPortfolio')),
                                array(
                                    'label' => 'Estado Pedido',
                                    'url' => array('/report/statusorder'),
                                    'visible' => Yii::app()->user->checkAccess('ReportStatusorder')),
                                array(
                                    'label' => 'Nivel Servicio',
                                    'url' => array('/report/levelservice'),
                                    'visible' => Yii::app()->user->checkAccess('ReportLevelService')),
                                array(
                                    'label' => 'Ventas',
                                    'url' => array('/report/sales'),
                                    'visible' => Yii::app()->user->checkAccess('ReportSales')),
                                array(
                                    'label' => 'Pedidos Aprobados',
                                    'url' => array('/report/orderapprove'),
                                    'visible' => Yii::app()->user->checkAccess('ReportOrderapprove')),
                                array(
                                    'label' => 'Facturados y remisionados',
                                    'url' => array('/report/orderfacture'),
                                    'visible' => Yii::app()->user->checkAccess('ReportOrderfacture')),
                                array(
                                    'label' => 'Control de presupuesto',
                                    'url' => array('/report/orderbudget'),
                                    'visible' => Yii::app()->user->checkAccess('ReportOrderbudget')),
                            )
                        ),
                        array(
                            'label' => 'Roles',
                            'url' => array('/srbac/authitem/manage'),
                            'visible' => Yii::app()->user->checkAccess(Rol::ROL_ADMIN)
                            || Yii::app()->user->checkAccess(Rol::ROL_SUPER_ADMIN)),
//                        array(
//                            'label' => 'Usuarios',
//                            'url' => array('/user/admin'),
//                            'visible' => Yii::app()->user->checkAccess(Rol::ROL_ADMIN)
//                            || Yii::app()->user->checkAccess(Rol::ROL_SUPER_ADMIN)),
                        array(
                            'label' => 'Usuarios',
                            'url' => array('/user/admin'),
                            'visible' => Yii::app()->user->checkAccess(Rol::ROL_ADMIN)
                            || Yii::app()->user->checkAccess(Rol::ROL_SUPER_ADMIN)),
                        
                        array(
                            'label' => 'Configuración <span class="caret"></span>',
                            'url' => array('/report/index'),
                            'visible' => Yii::app()->user->checkAccess('presupuesto'),
                            'itemOptions' => array('class' => 'dropdown', 'tabindex' => "-1"),
                            'linkOptions' => array('class' => 'dropdown-toggle',
                                'data-toggle' => "dropdown"),
                            'items' => array(
                                array(
                                    'label' => 'Configuración Parametros',
                                    'url' => array('/parameter/admin'),
                                    'visible' => Yii::app()->user->checkAccess('UserAdmin')),
                                array(
                                    'label' => 'Configuración Presupuesto',
                                    'url' => array('/budget/admin'),
                                    'visible' => Yii::app()->user->checkAccess('presupuesto')),
                               
                            )
                        ),
                        
                        array('label' => 'Ingresar', 'url' => array('/site/login'),
                            'visible' => Yii::app()->user->isGuest),
                        /* array('label'=>'Gii generated', 'url'=>array('customer/index')), */
                        array('label' => 'Mi cuenta <span class="caret"></span>',
                            'url' => '#', 'visible' => !Yii::app()->user->isGuest,
                            'itemOptions' => array('class' => 'dropdown', 'tabindex' => "-1"),
                            'linkOptions' => array('class' => 'dropdown-toggle',
                                'data-toggle' => "dropdown"),
                            'items' => array(
                                array('label' => 'Cambiar contraseña',
                                    'url' => array(
                                        '/site/changepass&token='
                                        . md5(Yii::app()->user->name),)
                                    , 'visible' => !Yii::app()->user->isGuest),
                                array('label' => 'Salir (' . Yii::app()->user->name . ')',
                                    'url' => array('/site/logout'), 'visible' => !Yii::app()->user->isGuest),
                            //array('label'=>'My Messages <span class="badge badge-warning pull-right">26</span>', 'url'=>'#'),
                            //array('label'=>'My Tasks <span class="badge badge-important pull-right">112</span>', 'url'=>'#'),
                            //array('label'=>'My Invoices <span class="badge badge-info pull-right">12</span>', 'url'=>'#'),
                            //array('label'=>'Separated link', 'url'=>'#'),
                            //array('label'=>'One more separated link', 'url'=>'#'),
                            )),
                    //array('label'=>'Login', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
                    //array('label'=>'Logout ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest),
                    ),
                ));
                ?>
            </div>
        </div>
    </div>
</div>

<!--<div class="subnav navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
        
            <div class="style-switcher pull-left">
                <a href="javascript:chooseStyle('none', 60)" checked="checked"><span class="style" style="background-color:#0088CC;"></span></a>
                <a href="javascript:chooseStyle('style2', 60)"><span class="style" style="background-color:#7c5706;"></span></a>
                <a href="javascript:chooseStyle('style3', 60)"><span class="style" style="background-color:#468847;"></span></a>
                <a href="javascript:chooseStyle('style4', 60)"><span class="style" style="background-color:#4e4e4e;"></span></a>
                <a href="javascript:chooseStyle('style5', 60)"><span class="style" style="background-color:#d85515;"></span></a>
                <a href="javascript:chooseStyle('style6', 60)"><span class="style" style="background-color:#a00a69;"></span></a>
                <a href="javascript:chooseStyle('style7', 60)"><span class="style" style="background-color:#a30c22;"></span></a>
            </div>
            
           <form class="navbar-search pull-right" action="">           	 
           <input type="text" class="search-query span2" placeholder="Search">           
           </form>
        </div> container 
    </div> navbar-inner 
</div> subnav -->