<?php
/**
 * Se requieren los siguientes campos para el correcto funcionamiento del
 * formulario
 * 
 * prd_reference
 * prd_description
 * prd_unit_price
 * prd_unit_price_iva
 * 
 * Estos deben verin en forma de array(array())
 */
//$baseUrl = Yii::app()->theme->baseUrl;
//$cs = Yii::app()->getClientScript();
//$cs->registerScriptFile($baseUrl . '/js/number.js');
Yii::app()->clientScript->scriptMap['*.js'] = false;
?>
<div id="div-addProduct">
<?php if(count($listProduct) > 0): ?>
  
    <?php   
    $tempListCat = $listCategory;
    $arrayHtml = array();
    $html = '';

    //Identificacion de categoria
    foreach($listCategory as $key => $value) {
        $tempListCat[$key] = '';
    }

    //Agruopacion de items por categorias
    foreach($listProduct as $value) {
        $id = '-'.$value['prd_reference'];
        $quantity =  0;
        $iva = $value['prd_iva'];
        $price = $value['prd_unit_price'];
        $priceIva = $value['prd_unit_price_iva'];
        $totalPrice = 0;
        $totalPriceIva = 0;
        if(array_key_exists($value['prd_reference'], $listReference)){
            $reference = $value['prd_reference'];
            $id = $listReference[$reference]['iden'];
            $quantity = $listReference[$reference]['quantity'];
            $price = $listReference[$reference]['price'];
            $priceIva = $listReference[$reference]['priceIva'];
            $iva = $listReference[$reference]['iva'];            
            $totalPrice = (int)$quantity * (int)$price;
            $totalPriceIva = (int)$quantity * (int)$priceIva;
        }
                
        $html = '';
        $html .= '<tr id="' . $id . '_tr">';
        $html .= '<td id="' . $id . '_ref" class="reference">'
            . $value['prd_reference'] . '</td>';
        $html .= '<td id="' . $id . '_des" class="description" >'
            . CHtml::hiddenField($id . '_description',
                $value['prd_description'],
                array(
                'id' => $id . '_description'))
            . $value['prd_description'] . '</td>';
        $html .='<td>' . TbHtml::telField("orp_amount[$id]", $quantity,
                array(
                'size' => 5,
                'class' => 'amount',
                "onkeyup" => "js:calculate(this.id, " . $id . ")")) .
            CHtml::hiddenField($id . '_inv', $value['prd_und_exist'],
                array(
                'id' => $id . '_inv')) .
            CHtml::hiddenField($id . '_cat', $value['prd_category_id'],
                array(
                'id' => $id . '_cat')) .
            CHtml::hiddenField($id . '_amount_request', '',
                array(
                'id' => $id . '_amount_request'));
        $html .= CHtml::hiddenField($id . '_unt_price',
                $price, array('id' => $id . '_unt_price'));
        $html .= '<div id="' . $id . '-sub" class="sub" style="display:none"></div>';
        $html .= CHtml::hiddenField($id . '_iva', $iva,
                array('id' => $id . '_iva'));
        $html .= CHtml::hiddenField($id . '_unt_price_iva',
                $priceIva,array('id' => $id . '_unt_price_iva'));
        $html .= '<div id="' . $id
            . '-sub-iva" class="sub_iva" style="display:none"></div></td>';
        $html .= '</tr>';

        $idCatProd = $value['prd_category_id'];

        if(array_key_exists($idCatProd, $tempListCat))
                $tempListCat[$idCatProd] .=$html;
    }

    //Inicializacion de cada catregoria
    foreach($listCategory as $key => $value) {
        //$arrayHtml[$value] .= '</table>';               
        if(!empty($tempListCat[$key])) {
            $arrayHtml[$value] = '
            <table class="items table table-products">
                <thead>
                    <tr>
                        <th>Referencia</th>
                        <th>Descripción item</th>
                        <th>Cantidades</th>                                                      
                    </tr>
                </thead>
                <tbody>' . $tempListCat[$key]
                . '</tbody>
           </table>';
        } else {
            unset($arrayHtml[$value]);
        }
    }
        
    //Acordeon
    $this->widget('zii.widgets.jui.CJuiAccordion',
        array(
        'id' => 'acordeon-in-on-liquidacion',
        'panels' => $arrayHtml,
        // additional javascript options for the accordion plugin
        'options' => array(
            'collapsible' => false,
            //'animated' => 'bounceslide',
            'autoHeight' => false,
            'active' => false,
        ),
    ));
    ?>
    <br/>
<?php else: ?>
    <div class="alert alert-block alert-error">
        <p class="help-block">No se encontraron productos relacionados</p>
    </div>        
<?php endif; ?>
</div>
<div id="div-status"></div>