<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
Yii::app()->clientScript->scriptMap['*.js'] = false;
?>

<?php

echo TbHtml::button('Editar',
    array(
    'id' => 'button-edit',
    'color' => TbHtml::BUTTON_COLOR_INVERSE,
    'size' => TbHtml::BUTTON_SIZE_DEFAULT,
    'onClick' => 'edit()',
    'title' => Yii::app()->params['msgTooltipEditar']
));
?>
&nbsp;
<?php

echo TbHtml::submitButton('Eliminar',
    array(
    'id' => 'button-delete'.  uniqid(),
    'color' => TbHtml::BUTTON_COLOR_DEFAULT,
    'size' => TbHtml::BUTTON_SIZE_DEFAULT,
    'submit' => Yii::app()->createUrl('order/delete',
        array('id' => $idOrder)),
    'confirm' => '¿Desea eliminar este pedido?',    
    'title' => Yii::app()->params['msgTooltipEliminar']
));
?>
&nbsp;
<?php

echo TbHtml::button('Salir',
    array(
    'id' => 'button-exit'. uniqid(),
    'color' => TbHtml::BUTTON_COLOR_DANGER,
    'size' => TbHtml::BUTTON_SIZE_DEFAULT,
    'onClick' => 'exitOrder()',
    'title' => Yii::app()->params['msgTooltipSalir']
));
?>
&nbsp;
<?php

echo TbHtml::button('Guardar',
    array(
    'id' => 'button-save',
    'color' => TbHtml::BUTTON_COLOR_PRIMARY,
    'size' => TbHtml::BUTTON_SIZE_DEFAULT,    
    'onClick' => 'save(this.id)',
    'title' => Yii::app()->params['msgTooltipGuardar']
));
?>
&nbsp;
<?php

if(User::validateAllowOrder()) {
    echo TbHtml::button('Autorizar',
        array(
        'id' => 'button-allow',
        'color' => TbHtml::BUTTON_COLOR_SUCCESS,
        'size' => TbHtml::BUTTON_SIZE_DEFAULT,
        'onClick' => 'save(this.id)',
        'title' => Yii::app()->params['msgTooltipAutorizar']
    ));
} else {
    echo TbHtml::button('Solicitar Autorización',
        array(
        'id' => 'button-getAllow',
        'color' => TbHtml::BUTTON_COLOR_WARNING,
        'size' => TbHtml::BUTTON_SIZE_DEFAULT,
        'onClick' => 'save(this.id)',
        'title' => Yii::app()->params['msgTooltipSolicitar']
    ));
}
?>