<?php

/**
 * Se requieren los siguientes campos para el correcto funcionamiento del
 * formulario
 * 
 * prd_reference
 * prd_description
 * prd_unit_price
 * prd_unit_price_iva
 * 
 * Estos deben verin en forma de array(array())
 */
//$baseUrl = Yii::app()->theme->baseUrl;
//$cs = Yii::app()->getClientScript();
//$cs->registerScriptFile($baseUrl . '/js/number.js');
Yii::app()->clientScript->scriptMap['*.js'] = false;
?>
<div id="div-addProduct">
<?php
    $listCategory = ClientSiesa::getLisCategory();
    
    $codeDefault = ClientSiesa::CATEGORY_DEFAULT_CODE;
    $nameDefault = ClientSiesa::CATEGORY_DEFAULT_NAME;
    $listCategory[$codeDefault] = $nameDefault;
    
    $tempListCat = $listCategory;
    $arrayHtml = array();       

    //Inicialiación
    foreach($listCategory as $key => $value) {
        $tempListCat[$key] = '';
    }    
    
    //Agrupacion productos
    foreach($listProduct as $value) {
        $id = $value->orp_id;
        $html = '';
        $html .= '<tr id="' . $id . '_tr">';
        $html .= '<td id="'.$id.'_ref" class="reference">' 
            . $value->orp_reference . '</td>';
        $html .= '<td id="'.$id.'_des" class="description">' 
            . $value->orp_description . '</td>';
        $html .= '<td>'
            . TbHtml::telField("orp_amount[$id]", $value->orp_amount,
                array(
                'size' => 5,
                'class' => 'amount',
                "onkeyup" => "js:calculate(this.id, " . $id . ")"))
            . CHtml::hiddenField(
                $id . '_amount_request', $value->orp_amount_request,
                array(
                'id' => $id . '_amount_request'));
        $html .= CHtml::hiddenField($id . '_unt_price', $value->orp_price_no_iva,
                array('id' => $id . '_unt_price'));
        $html .= '<div id="' . $id . '-sub" class="sub" style="display:none">'            
            . '</div>';
        $html .= CHtml::hiddenField($id . '_iva', $value->orp_iva,
                array('id' => $id . '_iva'));
        $html .= CHtml::hiddenField($id . '_unt_price_iva', $value->orp_price_iva,
                array('id' => $id . '_unt_price_iva'));
        $html .= '<div id="' . $id . '-sub-iva" class="sub_iva" style="display:none">'
            . '</div></td>';
        $html .= '</tr>';
        
        $idCatProd = $value->orp_category_id;

        //$tempListCat[$idCatProd] .=$html;     
        if(!isset($tempListCat[$idCatProd])){
            $tempListCat[$codeDefault] .=$html;   
        }else{
            $tempListCat[$idCatProd] .=$html;   
        }
    }

    
    //Inicalizacion de contenido
    foreach($listCategory as $key => $value) {
        //$arrayHtml[$value] .= '</table>';               
        if(!empty($tempListCat[$key])){
            $arrayHtml[$value] = '
            <table class="items table table-products" >
                <thead>
                    <tr>
                        <th>Referencia</th>
                        <th>Descripcion item</th>
                        <th>Cantidades</th>                                
                    </tr>
                </thead>
                <tbody>'                
                .$tempListCat[$key]
           .'</tbody>
          </table>';
        }else{
            unset($arrayHtml[$value]);
        }        
    }
        
    
    //Widget para crear Acordeon
    $this->widget('zii.widgets.jui.CJuiAccordion',
        array(
        'id' => 'acordeon-in-on-liquidacion',
        'panels' => $arrayHtml,
        // additional javascript options for the accordion plugin
        'options' => array(
            'collapsible' => false,
            //'animated' => 'bounceslide',
            'autoHeight' => false,
            'active' => false,
        ),
    ));
?>
<br/>
</div>
<div id="div-status"></div>
