<?php

/**
 * Se requieren los siguientes campos para el correcto funcionamiento del
 * formulario
 * 
 * prd_reference
 * prd_description
 * prd_unit_price
 * prd_unit_price_iva
 * 
 * Estos deben verin en forma de array(array())
 */
?>
<?php if (count($listProduct) > 0): ?>
        <table class="items table" >
            <thead>
                <tr>
                    <th>Referencia</th>
                    <th>Descripcion item</th>
                    <th>Cantidades</th>
                    <th>Precio unt</th>
                    <th>Subtotal unt</th>
                    <th>Iva</th>                                
                    <th>Precio unt con iva</th>                                
                    <th>Subtotal con iva</th>                                
                </tr>
            </thead>
            <?php foreach ($listProduct as $value) { ?>
                <?php                 
                $id = $value['prd_reference']; ?>
                <tr id="<?php echo $id?>_tr">
                    <td><?php echo $value['prd_reference'] ?></td>
                    <td><?php 
                        echo CHtml::hiddenField($id . '_description', $value['prd_description'], array(
                            'id' => $id . '_description'));
                        
                        echo $value['prd_description'] ?></td>
                    <td><?php echo TbHtml::telField("orp_amount[$id]", 0 ,
                        array(
                            'size' => 5,
                            'class' => 'amount',
                            "onkeyup" => "js:calculate(this.id, " . $id . ")"));
                        echo CHtml::hiddenField($id . '_inv', $value['prd_und_exist'], array(
                            'id' => $id . '_inv'));                       
                        echo CHtml::hiddenField($id . '_amount_request', '', array(
                            'id' => $id . '_amount_request'));
                        ?>
                        </td>
                    <td><?php
                        echo CHtml::hiddenField($id . '_unt_price', $value['prd_unit_price'], array(
                            'id' => $id . '_unt_price'));
                        echo $value['prd_unit_price'];
                                ?></td>
                    <td><div id="<?php echo $id ?>-sub" class="sub">0</div></td>
                    <td><?php 
                        echo CHtml::hiddenField($id . '_iva', $value['prd_iva'], array(
                            'id' => $id . '_iva'));
                        echo $value['prd_iva']; ?></td>
                    <td><?php
                        echo CHtml::hiddenField($id . '_unt_price_iva', $value['prd_unit_price_iva'], array(
                            'id' => $id . '_unt_price_iva'));
                        echo $value['prd_unit_price_iva']
                                ?></td>
                    <td><div id="<?php echo $id ?>-sub-iva" class="sub_iva">0</div></td>
                </tr>         
                    <?php } ?>
        </table>
        <?php else: ?>
<div class="alert alert-block alert-error">
    <p class="help-block">No se encontraron productos relacionados</p>
</div>        
    <?php endif; ?>
