<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <style>

            .table-striped tbody tr:nth-child(2n+1) td, .table-striped tbody tr:nth-child(2n+1) th {
                background-color: #F9F9F9;
            }
            .table-condensed th, .table-condensed td {
                padding: 4px 5px;
            }
            .table th {
                font-weight: bold;
            }
            
            .table th, .table td {
                border-top: 1px solid #DDDDDD;
                line-height: 20px;
                padding: 8px;
                text-align: left;
                vertical-align: top;
            }

            .table {
                margin-bottom: 20px;
                width: 100%;
            }
            table {
                background-color: rgba(0, 0, 0, 0);
                border-collapse: collapse;
                border-spacing: 0;
                max-width: 100%;
                font-family: Helvetica,Arial,sans-serif;
            }
            
            .danger{
                background-color: #f2dede;
            }

            #info-order{
                /*font-family: 'Carrois Gothic',sans-serif;*/
                font-family: Helvetica,Arial,sans-serif;
            }
        </style>
    </head>
    <body>
        <div id="info-order">
            <h2>JDH - Distribuciones. Sistema B2B</h2>            
            <h3>Información Pedido con pendientes. Transferencia No.<?php echo $model->ord_id; ?></h3>

            <?php
            $this->widget('zii.widgets.CDetailView',
                array(
                'htmlOptions' => array(
                    'class' => 'table table-striped table-condensed table-hover',
                ),
                'data' => $model,
                'attributes' => array(
                    'ord_id',
                    'ord_number',
                    'ord_nit',
                    array(
                        'name' => 'ord_nameClient',
                        'value' => $model->getNameClient($model->ord_nit)
                    ),
                    'ord_codeBranch',
                    array(
                        'filter' => false,
                        'name' => 'ord_nameBranch',
                        'value' => $model->getNameBranch($model->ord_nit, $model->ord_codeBranch)
                    ),
                    array(                        
                        'name' => 'ord_objOrder',
                        'value' => $model->getObjOrder($model->ord_objOrder)
                    ),
                    'ord_status',
                    'ord_date',
                    'ord_description',
                    'ord_income_type',
                    //'ord_total_net',
                    array(
                        'name' => 'ord_total_net',
                        'value' => number_format($model->ord_total_net)
                    ),
                    //'ord_total_discount',
                    array(
                        'name' => 'ord_total_discount',
                        'value' => number_format($model->ord_total_discount)
                    ),
                    //'ord_total_iva',
                    array(
                        'name' => 'ord_total_iva',
                        'value' => number_format($model->ord_total_iva)
                    ),
                    //'ord_total',
                    array(
                        'name' => 'ord_total',
                        'value' => number_format($model->ord_total)
                    ),
                ),
            ));
            ?>

            <h3>Informacion de los productos</h3>
            <table class="table" >
                <thead>
                    <tr>
                        <th>Referencia</th>
                        <th>Descripcion item</th>
                        <th>Cantidades</th>
                        <th>Precio unt</th>
                        <th>C. Disponible</th>
                        <th>Subtotal unt</th>
                        <th>Iva</th>                                
                        <th>Precio unt con iva</th>                                
                        <th>Subtotal con iva</th>                                
                    </tr>
                </thead>
                <?php foreach($listProduct as $value) { ?>
                    <?php $id = $value->orp_id; ?>
                    <?php $classTr =  '' ?>
                    <?php if($value->orp_amount > $value->orp_und_exist){
                                $classTr = 'danger';
                           }
                    ?>
                <tr id="<?php echo $id ?>_tr" class="<?=$classTr?>">
                        <td><?php echo $value->orp_reference ?></td>
                        <td><?php echo $value->orp_description ?></td>
                        <td><?php echo number_format($value->orp_amount) ?></td>                        
                        <td><?php echo number_format($value->orp_price_no_iva) ?></td>
                        <td><?php echo number_format($value->orp_und_exist) ?></td>
                        <td><div id="<?php echo $id ?>-sub" class="sub">
                                <?php echo number_format($value->orp_total_no_iva) ?>
                            </div></td>
                        <td><?php echo $value->orp_iva ?></td>
                        <td><?php echo number_format($value->orp_price_iva) ?></td>
                        <td><div id="<?php echo $id ?>-sub-iva" class="sub_iva">
                                <?php echo number_format($value->orp_total_iva) ?>
                            </div></td>
                    </tr>         
                <?php } ?>
            </table>
            <p>
                <h4>IMPORTANTE: </h4>                                                
                Este correo es informativo, favor no responder a esta dirección 
                de correo, ya que no se encuentra habilitada para recibir 
                mensajes. Si requiere mayor información sobre el contenido 
                de este mensaje, contactar al teléfono <strong>444 8018</strong>
                opción <strong> 1 </strong>
                ventas en horarios de <strong>lunes a Viernes</strong> de 
                <strong>7:30 am a 06:00 pm </strong> 
                y <strong>sábados</strong> de <strong>8:00 am a 12:00 am</strong> 
                o al e-mail 
                <a href="mailto:soporteb2b@jdh.com.co">soporteb2b@jdh.com.co</a>                
            </p>      
        </div>
    </body>
</html>